## r-cran-proc 1.16.1

=== DESCRIPTION ===
Package: pROC
Type: Package
Title: Display and Analyze ROC Curves
Version: 1.16.1
Date: 2020-01-13
Encoding: UTF-8
Depends: R (>= 2.14)
Imports: methods, plyr, Rcpp (>= 0.11.1)
Suggests: microbenchmark, tcltk, MASS, logcondens, doParallel,
        testthat, vdiffr, ggplot2
LinkingTo: Rcpp
Authors@R: c(person("Xavier", "Robin", role = c("cre", "aut"), 
                    email = "pROC-cran@xavier.robin.name",
                    comment = c(ORCID = "0000-0002-6813-3200")),
             person("Natacha", "Turck", role = "aut"),
             person("Alexandre", "Hainard", role = "aut"),
             person("Natalia", "Tiberti", role = "aut"),
             person("Frédérique", "Lisacek", role = "aut"),
             person("Jean-Charles", "Sanchez", role = "aut"),
             person("Markus", "Müller", role = "aut"),
             person("Stefan", "Siegert", role = "ctb", 
                    comment = "Fast DeLong code", 
                    email = "stefan_siegert@gmx.de"),
             person("Matthias", "Doering", role = "ctb", 
                    comment = "Hand & Till Multiclass"))
Description: Tools for visualizing, smoothing and comparing receiver operating characteristic (ROC curves). (Partial) area under the curve (AUC) can be compared with statistical tests based on U-statistics or bootstrap. Confidence intervals can be computed for (p)AUC or ROC curves.
License: GPL (>= 3)
URL: http://expasy.org/tools/pROC/
BugReports: https://github.com/xrobin/pROC/issues
LazyData: yes
NeedsCompilation: yes
Packaged: 2020-01-13 19:34:51 UTC; xavier
Author: Xavier Robin [cre, aut] (<https://orcid.org/0000-0002-6813-3200>),
  Natacha Turck [aut],
  Alexandre Hainard [aut],
  Natalia Tiberti [aut],
  Frédérique Lisacek [aut],
  Jean-Charles Sanchez [aut],
  Markus Müller [aut],
  Stefan Siegert [ctb] (Fast DeLong code),
  Matthias Doering [ctb] (Hand & Till Multiclass)
Maintainer: Xavier Robin <pROC-cran@xavier.robin.name>
Repository: CRAN
Date/Publication: 2020-01-14 10:00:02 UTC

=== debian/changelog ===
r-cran-proc (1.16.1-2) unstable; urgency=medium

  * Team upload.
  * Add r-cran-vdiffr, r-cran-logcondens to test-deps.

 -- Andreas Tille <tille@debian.org>  Mon, 03 Feb 2020 14:37:49 +0100

r-cran-proc (1.16.1-1) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Add r-cran-mass to test-deps.

  [ Steffen Moeller ]
  * New upstream version
  * Standards-Version: 4.4.1 (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Archive, Bug-Database, Bug-Submit.

 -- Steffen Moeller <moeller@debian.org>  Wed, 15 Jan 2020 11:13:20 +0100

r-cran-proc (1.15.3-2) unstable; urgency=medium

  * Initial release (closes: #940832)

 -- Steffen Moeller <moeller@debian.org>  Fri, 20 Sep 2019 15:21:08 +0200

=== debian/control ===
Source: r-cran-proc
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev,
               r-cran-plyr,
               r-cran-rcpp
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-proc
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-proc.git
Homepage: https://cran.r-project.org/package=pROC

Package: r-cran-proc
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: Display and Analyze ROC Curves
 Tools for visualizing, smoothing and comparing receiver operating
 characteristic (ROC curves). (Partial) area under the curve (AUC) can be
 compared with statistical tests based on U-statistics or bootstrap.
 Confidence intervals can be computed for (p)AUC or ROC curves.

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mass, r-cran-vdiffr, r-cran-logcondens
Restrictions: allow-stderr

## r-cran-proc 1.16.2

=== debian/changelog ===
r-cran-proc (1.16.2-2build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 19:29:43 +0000

r-cran-proc (1.16.2-2) unstable; urgency=medium

  * Team Upload.
  * Update Test Depends
  * Add "Repository" and "Repository-Browse" to upstream/metadata

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 29 Mar 2020 17:21:29 +0530

r-cran-proc (1.16.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.5.0 (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Dylan Aïssi <daissi@debian.org>  Sun, 22 Mar 2020 10:26:32 +0100

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,11 @@
                r-base-dev,
                r-cran-plyr,
                r-cran-rcpp
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-proc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-proc.git
 Homepage: https://cran.r-project.org/package=pROC
+Rules-Requires-Root: no
 
 Package: r-cran-proc
 Architecture: any

## r-cran-proc 1.17.0.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pROC
 Type: Package
 Title: Display and Analyze ROC Curves
-Version: 1.16.1
-Date: 2020-01-13
+Version: 1.17.0.1
+Date: 2021-01-07
 Encoding: UTF-8
 Depends: R (>= 2.14)
 Imports: methods, plyr, Rcpp (>= 0.11.1)
@@ -29,7 +29,7 @@
 BugReports: https://github.com/xrobin/pROC/issues
 LazyData: yes
 NeedsCompilation: yes
-Packaged: 2020-01-13 19:34:51 UTC; xavier
+Packaged: 2021-01-07 12:16:24 UTC; xavier
 Author: Xavier Robin [cre, aut] (<https://orcid.org/0000-0002-6813-3200>),
   Natacha Turck [aut],
   Alexandre Hainard [aut],
@@ -41,4 +41,4 @@
   Matthias Doering [ctb] (Hand & Till Multiclass)
 Maintainer: Xavier Robin <pROC-cran@xavier.robin.name>
 Repository: CRAN
-Date/Publication: 2020-01-14 10:00:02 UTC
+Date/Publication: 2021-01-13 14:30:02 UTC

=== debian/changelog ===
r-cran-proc (1.17.0.1-1) unstable; urgency=medium

  * Team upload.
  * Remove hack from autopkgtest
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Sat, 16 Jan 2021 12:52:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-plyr,
                r-cran-rcpp
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-proc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-proc.git
 Homepage: https://cran.r-project.org/package=pROC

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/pROC_([-\d.]*)\.tar\.gz

## r-cran-proc 1.18.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Package: pROC
 Type: Package
 Title: Display and Analyze ROC Curves
-Version: 1.17.0.1
-Date: 2021-01-07
+Version: 1.18.0
+Date: 2021-09-02
 Encoding: UTF-8
 Depends: R (>= 2.14)
 Imports: methods, plyr, Rcpp (>= 0.11.1)
@@ -22,14 +22,16 @@
                     comment = "Fast DeLong code", 
                     email = "stefan_siegert@gmx.de"),
              person("Matthias", "Doering", role = "ctb", 
-                    comment = "Hand & Till Multiclass"))
+                    comment = "Hand & Till Multiclass"),
+             person("Zane", "Billings", role = "ctb", 
+                    comment = "DeLong paired test CI"))
 Description: Tools for visualizing, smoothing and comparing receiver operating characteristic (ROC curves). (Partial) area under the curve (AUC) can be compared with statistical tests based on U-statistics or bootstrap. Confidence intervals can be computed for (p)AUC or ROC curves.
 License: GPL (>= 3)
 URL: http://expasy.org/tools/pROC/
 BugReports: https://github.com/xrobin/pROC/issues
 LazyData: yes
 NeedsCompilation: yes
-Packaged: 2021-01-07 12:16:24 UTC; xavier
+Packaged: 2021-09-02 11:27:22 UTC; xavier
 Author: Xavier Robin [cre, aut] (<https://orcid.org/0000-0002-6813-3200>),
   Natacha Turck [aut],
   Alexandre Hainard [aut],
@@ -38,7 +40,8 @@
   Jean-Charles Sanchez [aut],
   Markus Müller [aut],
   Stefan Siegert [ctb] (Fast DeLong code),
-  Matthias Doering [ctb] (Hand & Till Multiclass)
+  Matthias Doering [ctb] (Hand & Till Multiclass),
+  Zane Billings [ctb] (DeLong paired test CI)
 Maintainer: Xavier Robin <pROC-cran@xavier.robin.name>
 Repository: CRAN
-Date/Publication: 2021-01-13 14:30:02 UTC
+Date/Publication: 2021-09-03 08:10:02 UTC

=== debian/changelog ===
r-cran-proc (1.18.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * dh-update-R to update Build-Depends (3) (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 15 Sep 2021 16:51:13 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-plyr,
                r-cran-rcpp
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-proc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-proc.git
 Homepage: https://cran.r-project.org/package=pROC

=== debian/tests/control ===
Tests: run-unit-test
Depends: @, r-cran-testthat, r-cran-mass, r-cran-vdiffr, r-cran-logcondens, r-cran-ggplot2
Restrictions: allow-stderr

## r-cran-proc 1.18.2

=== debian/changelog ===
r-cran-proc (1.18.2-2) unstable; urgency=medium

  * Team upload.
  * Rebuild with r-graphics-engine set by r-base
    Closes: #1039660 

 -- Andreas Tille <tille@debian.org>  Thu, 06 Jul 2023 14:03:16 +0200

r-cran-proc (1.18.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Sync Test-Depends with Suggests
  * Versioned Test-Depends: r-cran-ggplot2 (>= 3.4.2+dfsg-1~) and
    r-cran-vdiffr (>= 1.0.5-2~) to deal with R graphics ABI change

 -- Andreas Tille <tille@debian.org>  Fri, 30 Jun 2023 12:48:01 +0200

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
#         r-cran-microbenchmark,
#         r-cran-tcltk,
         r-cran-mass,
         r-cran-logcondens,
         r-cran-doparallel,
         r-cran-testthat,
         r-cran-vdiffr (>= 1.0.5-2~),
         r-cran-ggplot2 (>= 3.4.2+dfsg-1~)
Restrictions: allow-stderr

## r-cran-proc 1.18.4

=== debian/changelog ===
r-cran-proc (1.18.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Remove trailing whitespace in debian/changelog (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 01 Sep 2023 11:48:28 +0200

## r-cran-proc 1.18.5

=== DESCRIPTION ===
--- 
+++ 
@@ -1,13 +1,13 @@
 Package: pROC
 Type: Package
 Title: Display and Analyze ROC Curves
-Version: 1.18.0
-Date: 2021-09-02
+Version: 1.18.5
+Date: 2023-11-01
 Encoding: UTF-8
 Depends: R (>= 2.14)
 Imports: methods, plyr, Rcpp (>= 0.11.1)
 Suggests: microbenchmark, tcltk, MASS, logcondens, doParallel,
-        testthat, vdiffr, ggplot2
+        testthat, vdiffr, ggplot2, rlang
 LinkingTo: Rcpp
 Authors@R: c(person("Xavier", "Robin", role = c("cre", "aut"), 
                     email = "pROC-cran@xavier.robin.name",
@@ -27,11 +27,11 @@
                     comment = "DeLong paired test CI"))
 Description: Tools for visualizing, smoothing and comparing receiver operating characteristic (ROC curves). (Partial) area under the curve (AUC) can be compared with statistical tests based on U-statistics or bootstrap. Confidence intervals can be computed for (p)AUC or ROC curves.
 License: GPL (>= 3)
-URL: http://expasy.org/tools/pROC/
+URL: https://xrobin.github.io/pROC/
 BugReports: https://github.com/xrobin/pROC/issues
 LazyData: yes
 NeedsCompilation: yes
-Packaged: 2021-09-02 11:27:22 UTC; xavier
+Packaged: 2023-11-01 09:04:05 UTC; xavier
 Author: Xavier Robin [cre, aut] (<https://orcid.org/0000-0002-6813-3200>),
   Natacha Turck [aut],
   Alexandre Hainard [aut],
@@ -44,4 +44,4 @@
   Zane Billings [ctb] (DeLong paired test CI)
 Maintainer: Xavier Robin <pROC-cran@xavier.robin.name>
 Repository: CRAN
-Date/Publication: 2021-09-03 08:10:02 UTC
+Date/Publication: 2023-11-01 17:50:13 UTC

=== debian/changelog ===
r-cran-proc (1.18.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream version

 -- Andreas Tille <tille@debian.org>  Tue, 21 Nov 2023 16:29:27 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                r-base-dev,
                r-cran-plyr,
                r-cran-rcpp
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-proc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-proc.git
 Homepage: https://cran.r-project.org/package=pROC

=== debian/tests/control ===
Tests: run-unit-test
Depends: @,
         r-cran-mass,
        r-cran-logcondens,
        r-cran-doparallel,
        r-cran-testthat,
        r-cran-vdiffr,
        r-cran-ggplot2,
        r-cran-rlang
Restrictions: allow-stderr

## r-cran-proc 1.19.0.1

=== debian/changelog ===
r-cran-proc (1.19.0.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)
  * dh-update-R to update Build-Depends (routine-update)
  * Remove Priority field to comply with Debian Policy 4.7.3 (routine-
    update)

 -- Charles Plessy <plessy@debian.org>  Wed, 28 Jan 2026 09:54:48 +0900

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
-Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
-               r-cran-plyr,
-               r-cran-rcpp
-Standards-Version: 4.6.2
+               r-cran-rcpp,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-proc
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-proc.git
 Homepage: https://cran.r-project.org/package=pROC

=== debian/tests/control ===
--- 
+++ 
@@ -2,7 +2,6 @@
 Depends: @,
          r-cran-mass,
         r-cran-logcondens,
-        r-cran-doparallel,
         r-cran-testthat,
         r-cran-vdiffr,
         r-cran-ggplot2,
